body {
  [content-container] {
    // make the container grow full-size, and make the content scrollable
    [content] {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      #tsgui_content_ {
        overflow: auto;
        height: 100%;
      }
    }
  }
}


/****************************
 general css
 ****************************/

html, body {
  height: 100%;
  background: #EEE;
  padding: 0;
  margin: 0;
  overflow: hidden;
}

body {
  & > div[vertical] > div[horizontal] > div > ajaxell-menu {
    min-width: 200px;
    max-width: 500px;
  }
  // [content-container] {
  //   overflow: scroll;
  // }
  #menu-container {
    overflow: auto;
  }
}



[content] {
  background: #FFF;
  padding: 5px;
  margin: 1em;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
}
/* firefox 24 */
// paper-icon-button {
//   height: 40px;
// }
body > [layout][vertical] {
  height: 100%;
}
[layout][horizontal] {
  /* firefox, fixes issues with overflow: scroll */
  min-height: 0;
}

#elRaptor {
  width: 400px;
  height: 600px;
  position: absolute;
  bottom: -600px;
  right: -400px;
  display: none;
  z-index: -1;
}
#elRaptor[animate] {
  display: block;
  z-index: 999999;
  animation: show 400ms cubic-bezier(0.54, 0.72, 0.92, 1.78) 0s 1, strike 2600ms cubic-bezier(0.4, 0, 1, 1) 400ms 1;
}
@keyframes show {
  0% {
    bottom: -600px;
    right: 100px;
  }
  100% {
    bottom: -130px;
    right: 100px;
  }
}
@keyframes strike {
  0% {
    bottom: -130px;
    right: 100px;
  }
  13% {
    bottom: -130px;
    right: 100px;
  }
  100% {
    bottom: -130px;
    right: 100%;
  }
}

/****************************
 flexbox
 ****************************/

[layout] {

  &[vertical] {
    display: flex;
    flex-direction: column;
  }

  &[horizontal] {
    display: flex;
    flex-direction: row;
  }
}
[flex] {
  flex: 1;
}

[toolbar] {
  &> div {
    height: 42px;
    color: white;
    align-items: center;
    & > iron-icon {
      padding: 9px;
      padding-bottom: 7px;
      padding-top: 11px;
    }
  }
  img {
    padding-top: 4px;
    padding-right: 5px;
    height: 32px;
  }
  paper-progress {
    width: 100%;
  }
  .title {
    padding-top: 4px;
    font-size: 20px;
    text-decoration: none;
    color: white;
  }
  #path {
    padding-top: 4px;
    font-size: 20px;
    padding-left: .5em;
  }
  ul {
    list-style: none;
    &[menu] {
      margin: 0;
      margin-right: 10px;
      padding: 0;
      li {
        paper-material {
          margin: 0;
          padding: 0;
          background-color: white;
        }
        ul {
          z-index: 10;
          position: absolute;
          margin: 0;
          padding: 0;

          opacity: 0;
          visibility: hidden;
          margin-top: 15px;
          transition: opacity .2s ease-in-out, margin .1s ease-in-out;
          li {
            a {
              padding: 10px 20px;
              font-size: .8em;
              display: block;
              font-family: 'Roboto', 'Noto', sans-serif;
              -webkit-font-smoothing: antialiased;
              text-rendering: optimizeLegibility;
              white-space: nowrap;
              overflow: auto;
              text-decoration: none;
              color: black;
            }
            &:first-child a:before {
                content: '';
                position: absolute;
                top: -6px;
                left: 14px;
                border-left: 6px solid rgba(0, 0, 0, 0);
                border-right: 6px solid rgba(0, 0, 0, 0);
                border-bottom: 6px solid #FFF;
                border-top: none;
                margin-top: 0;
            }
          }
        }
        &:hover > ul {
            opacity: 1;
            visibility: visible;
            margin-top: 6px;
            right: 7px;
        }
      }
    }
  }
}


/****************************
 animation
 ****************************/

body {
  paper-toolbar {
    position: relative;
    top: -64px;
    transition: top .3s ease-out;
  }

  & > div > div > div > ajaxell-menu {
    transition: left .3s ease-in-out;
    position: relative;
    left: -500px;
  }

  [content-container] {
    position: relative;
    top: 800px;
    opacity: 0;
    transition: top .5s cubic-bezier(0.06, 0.1, 0, 0.99), opacity .5s linear;
  }

  #menu-container {
    max-width: 500px;
    transition: max-width .2s linear;
    &[closed] {
      max-width: 0;
    }
  }

  &[ready] {
    paper-toolbar {
      top: 0;
    }

    & > div > div > div > ajaxell-menu:not([closed]) {
      left: 0;
    }

    [content-container] {
      top:0;
      opacity: 1;
    }

    [running-dino] {
      opacity: 0;
    }
  }
}
